summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnthony VanBerkum2017-04-18 19:27:51 -0400
committerAnthony VanBerkum2017-04-18 19:27:51 -0400
commit5192c8e43718b749dde82e7b7ffde2a926e86ee7 (patch)
tree832a9016cbac37524a8389b832bfdb87ee46efc8
parentd3a59dce4d2f5bc87585da8da5cf6d4a809ad60d (diff)
downloadaur-5192c8e43718b749dde82e7b7ffde2a926e86ee7.tar.gz
Update to v5.0.1.
-rw-r--r--PKGBUILD12
1 files changed, 8 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 2aeea48f9b2..4864d2d2690 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,8 +3,9 @@
# Contributor: David Gippner davidgippner at googlemail dot com
pkgbase=gregorio
pkgname=$pkgbase
-pkgver=4.2.0
+pkgver=5.0.1
pkgrel=1
+_pkgver_underscores=$(echo $pkgver | sed -e 's/\./_/g')
pkgdesc="Command-line tool to typeset Gregorian chant"
url=http://gregorio-project.github.io
arch=("i686" "x86_64")
@@ -13,8 +14,8 @@ depends=("texlive-core" "texlive-fontsextra" "texlive-bin" "texlive-formatsextra
conflicts=("gregorio-svn" "gregorio-git" "gregoriotex")
provides=("gregorio")
install=gregorio.install
-source=("https://github.com/gregorio-project/gregorio/releases/download/v$pkgver/gregorio-$pkgver.tar.bz2")
-sha256sums=("64eddccc3ba6faf500ccbbab78fa7537dbd1a73999631e906c6b51ae1255c838")
+source=("https://github.com/gregorio-project/gregorio/releases/download/v$pkgver/gregorio-$pkgver.tar.bz2" "https://github.com/gregorio-project/gregorio/releases/download/v$pkgver/supp_fonts-$_pkgver_underscores.zip")
+sha256sums=("79fea3d8292ed079ff524b7fdb3fee81ac032e6903158aa484ffc722ce9a0d99" "33f90a700c45896e99ab63ac45ff2e983305efa3f13cd495aa1e6eef797b1604")
prepare() {
@@ -36,7 +37,10 @@ package() {
cd "$srcdir/$pkgbase/"
msg "Installing gregorio..."
make -j DESTDIR="$pkgdir/" install || return 1
- msg "Installing fonts and TeX files..."
+ msg "Installing TeX files..."
cd "$srcdir/$pkgbase/"
./install-gtex.sh dir:$pkgdir/usr/share/texmf || return 1
+ msg "Installing fonts..."
+ cd "$srcdir/"
+ texlua install_supp_fonts.lua $pkgdir/usr/share/texmf || return 1
}